%define use_mod_php	1
%define use_con_php	1

# Package name without php prefix
%define package_name	mmcache
%define php_extension   mmcache
###############################################################

%define phpver	%(rpm -q --queryformat '%{VERSION}' php-devel)
%define phprel	%(rpm -q --queryformat '%{RELEASE}' php-devel)
%define phpser	%(rpm -q --queryformat '%{SERIAL}'  php-devel)

#%define phpini %_sysconfdir/httpd/conf/php.ini
%set_automake_version 1.7

Name: php-%package_name
Version: 2.4.6
Release: alt4

Summary: Turck MMCache for PHP
License: GPL
Group: System/Servers

Url: http://turck-mmcache.sourceforge.net/
Source0: php-mmcache-%version.tar.bz2
Source1: turck-mmcache.ini
Source2: mmcache.png
Patch0: turck-mmcache-2.3.10-cache_file_location.patch.bz2


PreReq: php-libs >= %phpser:%phpver-%phprel
Conflicts: php-afterburner php-apc

%add_serial php-devel

# Automatically added by buildreq on Sun Aug 31 2003
#BuildRequires: gcc-c++ libstdc++-devel php-devel
BuildRequires: php-devel gcc automake_1.7

%description
Turck MMCache is a opcode cache for PHP. It increases performance
of PHP scripts by caching them in compiled state, so that the
overhead of compiling is almost completely eliminated. Also it
uses some optimizations for speed up of PHP scripts execution.
Turck MMCache typically reduces server load and increases the
speed of your PHP code by 1-10 times.

Since the version 2.3.10, Turck MMCache contains PHP encoder and
loader. You can encode any PHP scripts with encoder.php to
distribute them without sources.

%prep
%setup -q -n php-mmcache-%version
%patch0 -p0 -b .cache_file_location

%build
phpize
#aclocal
CFLAGS="%optflags -fPIC -L%_libdir"
#configure \
#   --with-mmcache-crash-detection \
#   --with-mmcache-optimizer \
#   --with-mmcache-encoder \
#   --with-mmcache-loader \
#   --with-mmcache-sessions \
#   --with-mmcache-content-caching \
#   --with-mmcache-disassembler \
#   --with-mmcache-executor
%configure \
	--enable-mmcache=shared \
	--with-php-config=%_bindir/php-config \
	--with-mmcache-crash-detection
%make

%install
%php_make_install

%__install -d %buildroot{%_bindir,%_sysconfdir/php}
%__install -d %buildroot{%_libdir/php/extensions,%_cachedir/php-mmcache}
%__install -d %buildroot%_var/www/{icons,html/admin/php-mmcache}

%__install -D -m 644 %SOURCE1 %buildroot/%php_extconf/%php_extension/config


#%__install -m755 modules/*.so %buildroot/%php_extdir

%__install -m755 encoder.php %buildroot%_bindir/mmcache-encoder
%__install -m644 mmcache.php %buildroot/var/www/html/admin/php-mmcache/index.php
%__install -m644 mmcache_password.php %buildroot/var/www/html/admin/php-mmcache/mmcache_password.php
#__bzip2 -dc < %SOURCE1 > %buildroot%_sysconfdir/php/99_mmcache.ini
%__install -m644 -D %SOURCE1 %buildroot%php_sysconfdir/mod_php/php.d/mmcache.ini
%__install -m644 %SOURCE2 %buildroot/var/www/icons/mmcache.png

%files
%doc CREDITS EXPERIMENTAL README* TODO
%php_sysconfdir/mod_php/php.d/mmcache.ini
%php_extdir/*
%_bindir/mmcache-encoder
%_var/www/html/admin/php-mmcache/index.php
%_var/www/html/admin/php-mmcache/mmcache_password.php
%_var/www/icons/mmcache.png
%attr(0770,apache,apache) %dir %_cachedir/php-mmcache



%post
%php_extension_postin

%preun
%php_extension_preun

%changelog
* Thu May 27 2004 Gor <vg@altlinux.ru> 1:2.4.6-alt4
- small spec fixes

* Wed Apr 14 2004 Gor <vg@altlinux.ru> 1:2.4.6-alt3
- small spec fixes

* Fri Apr 09 2004 Gor <vg@altlinux.ru> 1:2.4.6-alt2
- rebuild for new php  

* Fri Dec 19 2003 Gor <vg@altlinux.ru> 1:2.4.6-alt1
- new version, spec cleanup 

* Sat Oct 25 2003 Michael Shigorin <mike@altlinux.ru> 1:2.4.4-alt1
- 2.4.4 (minor bugfixes)

* Mon Oct 20 2003 Michael Shigorin <mike@altlinux.ru> 1:2.4.3-alt1
- 2.4.3 (minor bugfixes)

* Mon Oct 13 2003 Michael Shigorin <mike@altlinux.ru> 1:2.4.2-alt1
- 2.4.2 (minor bugfixes)
  WARNING: 2.4.1 had major security fixes!

* Thu Sep 25 2003 Michael Shigorin <mike@altlinux.ru> 1:2.4.0-alt1
- 2.4.0 (major bugfixes)

* Thu Sep 11 2003 Michael Shigorin <mike@altlinux.ru> 1:2.3.23-alt3
- fixed Summary (thanks to Evgeny Yugov <yugov scs-900.ru>)

* Sun Aug 31 2003 Michael Shigorin <mike@altlinux.ru> 1:2.3.23-alt2
- fixed mmcache.ini installation; moved sample to docs as we don't have
  .ini autoloading feature in mod_php yet (thanks Dmitry Alexeyev
  <dmi_a qnx.org.ru> for pointer and legion@ for clarification)
- fixed configure parameters (thanks to "Anatol A. Ivanov"
  <anatol techmarket.ru> for pinpointing the problem)
- feeble attempt at "install-and-forget" in %%post/%%preun
  (should be redone properly as soon as #2940 is done)

* Sun Aug 31 2003 Michael Shigorin <mike@altlinux.ru> 1:2.3.23-alt1
- built for ALT Linux
- based on php-mmcache-4.3.2_2.3.22-1mdk and php-xml.spec
- more strict cache dir permissions
